type: google.api.Service
config_version: 3
name: translate.googleapis.com
title: Cloud Translation API

apis:
- name: google.cloud.translation.v3.TranslationService

documentation:
  summary: Integrates text translation into your website or application.

backend:
  rules:
  - selector: 'google.longrunning.Operations.*'
    deadline: 60.0
  - selector: google.longrunning.Operations.WaitOperation
    deadline: 120.0

authentication:
  rules:
  - selector: 'google.cloud.translation.v3.TranslationService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-translation
  - selector: google.cloud.translation.v3.TranslationService.BatchTranslateText
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.translation.v3.TranslationService.CreateGlossary
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-translation
